<template id="main">
    <v-ons-splitter>
        <v-ons-splitter-side
                swipeable width="200px" collapse="" side="left"
                :open.sync="openSide"
                class="splitter-list"
        >
            <v-ons-page>
                <v-ons-list>
                    <v-ons-list-item v-for="page in pages"
                                     :key="page.name"
                                     tappable modifier="chevron"
                                     @click="currentPage = page.name; openSide = false"
                    >
                        <div><v-ons-icon :icon="page.icon"></v-ons-icon> {{ page.displayName }}</div>
                    </v-ons-list-item>
                </v-ons-list>
            </v-ons-page>
        </v-ons-splitter-side>

        <v-ons-splitter-content>
            <component :is="currentPage" :toggle-menu="toggleMenu"></component>
        </v-ons-splitter-content>
    </v-ons-splitter>
</template>

<script>
    import Home from '../views/Home'
    import About from '../views/About'
    import Offer from '../views/Offer'

    export default {
        data() {
            return {
                currentPage: 'home',
                pages: [
                    {
                        name: 'home',
                        displayName: 'Басты бет',
                        icon: 'ion-ios-home, material: md-home'
                    },
                    {
                        name: 'offer',
                        displayName: 'Ұсыныс қалдыру',
                        icon: 'ion-ios-text, material: md-comment-text-alt'
                    },
                    {
                        name: 'about',
                        displayName: 'Жоба жайлы',
                        icon: 'ion-ios-information-circle-outline, material: md-info-outline'
                    }
                ],
                openSide: false
            };
        },
        components: {
            home: Home,
            about: About,
            offer: Offer,
        },
        methods: {
            toggleMenu() {
                this.openSide = !this.openSide
            }
        }
    }
</script>